
Ruby - Bug #12668

Please backport r53433

08/11/2016 05:18 AM - vo.x (Vit Ondruch)

Status: Closed   

Priority: Normal   

Assignee: nagachika (Tomoyuki Chikanaga)   

Target version:    

ruby -v: ruby 2.3.1p112 (2016-04-26 revision

54768) [armv7hl-linux]

Backport: 2.1: DONTNEED, 2.2: DONTNEED, 2.3:

DONE

Description

I quite often encounter error:

  1) Failure:

TC_OpenStruct#test_accessor_defines_method [/builddir/build/BUILD/ruby-2.3.1/test/ostruct/test_ost

ruct.rb:173]:

<[:foo, :foo=]> expected but was

<[:foo=, :foo]>.

 which was introduced into Ruby 2.3.1 via r54388. This should be resolved by r53433.

Associated revisions

Revision 0b8b3a8296e81db90cc29c2ac663b0e8e810c89b - 08/21/2016 05:52 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 53433: [Backport #12668]

    test_ostruct.rb: sort method names

    * test/ostruct/test_ostruct.rb (test_accessor_defines_method):

 should not depend on the order of methods.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@55979 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 0b8b3a82 - 08/21/2016 05:52 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 53433: [Backport #12668]

    test_ostruct.rb: sort method names

    * test/ostruct/test_ostruct.rb (test_accessor_defines_method):

 should not depend on the order of methods.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@55979 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 08/21/2016 05:49 AM - nagachika (Tomoyuki Chikanaga)

- Status changed from Open to Assigned

- Assignee set to nagachika (Tomoyuki Chikanaga)

- ruby -v changed from uby 2.3.1p112 (2016-04-26 revision 54768) [armv7hl-linux] to ruby 2.3.1p112 (2016-04-26 revision 54768) [armv7hl-linux]

#2 - 08/21/2016 05:52 AM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: REQUIRED to 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: DONE

ruby_2_3 r55979 merged revision(s) 53433.

#3 - 08/21/2016 05:52 AM - nagachika (Tomoyuki Chikanaga)

- Status changed from Assigned to Closed

Applied in changeset ruby_2_3|r55979.

06/26/2025 1/2



merge revision(s) 53433: [Backport #12668]

test_ostruct.rb: sort method names

* test/ostruct/test_ostruct.rb (test_accessor_defines_method):

 should not depend on the order of methods.

#4 - 08/21/2016 05:54 AM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: DONE to 2.1: DONTNEED, 2.2: DONTNEED, 2.3: DONE
